Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CDCTPanel Class Reference

This class will compress or decompress a YUV panel using the DCT. More...

`#include <DCTPanel.h>`

Inheritance diagram for CDCTPanel::

List of all members.

## Public Methods

- CDCTPanel (CCamPanel *base_panel, bool inv, const char *name="dct.yuv", const char *desc="DCT conversion")
- ~CDCTPanel ()
- void SetTiles (CCamTile *tilesy, CCamTile *tilesuv)

## Public Slots

- void UpdatePanel ()
- void SetSize (const QSize &ns)

## Detailed Description

This class will compress or decompress a YUV panel using the DCT.

This class does both forward and inverse DCT conversion of a YUV panel; the direction is specified at creation time in the constructor. In theory InverseDCT(ForwardDCT(yuv)) = yuv, that is, an image can be converted to DCT and back to its original.

## Constructor & Destructor Documentation

CDCTPanel::CDCTPanel ( | CCamPanel * base_panel,
| bool inv,
| const char * name = "dct.yuv",
| const char * desc = "DCT conversion" )

  | Constructor. Parameters:
  base_panel | The yuv panel we use as our basis for calculation.
  inv | When true, this class performs the IDCT, otherwise FDCT
  name | Name for this panel
  desc | Description for this panel

CDCTPanel::~CDCTPanel ( | )

| Destructor. Cleans up tiles.

## Member Function Documentation

void CDCTPanel::SetSize ( | const QSize & ns )`[virtual, slot]`

| [overloaded] Set size, create tiles. Reimplemented from CCamPanel.

void CDCTPanel::SetTiles ( | CCamTile * tilesy,
| CCamTile * tilesuv )

| Set tiles coordinates. In case you want your own ordering of input-output pixels, or want to share the arrays, use this function to set two arrays of CCamTiles for the Y and UV panels resp. If you supply two NULL pointers CDCTPanel switches back to its default tiles.

void CDCTPanel::UpdatePanel ( | )`[slot]`

| Called when the base panel image is updated. Starts DCT calculation.

The documentation for this class was generated from the following files:

- DCTPanel.cc
- DCTPanel.h